#!/bin/sh

###############################################################
#   This script should be hooked when Gateway change
#   Usable environment variable:
#       IFNAME, DESTINATION, GATEWAY, ACTION
#
#   Note: The script should bear to be invoked multiple times
###############################################################

case $1 in
	--sdk-mod-ver)
		#Print SDK support version
		echo "1.0";
		;;
	--name)
		#Print package name
		echo "test";
		;;
	--pkg-ver)
		#Print package version
		echo "1.0";
		;;
	--vendor)
		#Print package vendor
		echo "Synology";
		;;
	--post)
		if [ "$DESTINATION" = "0.0.0.0" ] ; then
			/usr/syno/sbin/synoservice --reload syslog-ng
		fi
		;;
	*)
		echo "Usage: $0 --sdk-mod-ver|--name|--pkg-ver|--vendor|--pre|--post"
		;;
esac

